Subject: bug#76120: [PATCH] Expose the native sharing dialog (macOS)

From: Alvaro Ramirez <[email-masked]>
Date: Tue, 11 Feb 2025 17:22:08 +0000

Thanks for clarifying Stefan

Stefan Kangas <[email-masked]>writes:

> I was thinking something along these lines instead:
>
> Option 3)
>
> Root >
>   ----------
>   | Paste
>   | Select and Paste >
>   | Select >
>   ----------
>   | Go Back
>   | Go Forward
>   ----------
>   | Go Back
>   | Go Forward
>   ----------
>   | Share...
>   ----------|
>             ----------
>             | Mail
>             | AirDrop
>             | etc.
>             ----------
>
> If that's not possible, I think option 1 is probably best.

Sounds good.

The sharing submenu would have to be the native dialog itself 
unless we use a deprecated macOS API to populate the context menu 
ourselves. If possible, I'd like to avoid using the deprecated 
API. See the attached sharing.png screenshot for what the 
experience would look like in practice.

If this approach is acceptable, I'll go ahead and rework the patch 
to achieve this experience. Lemme know.